| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csAnimationTemplate Member List

This is the complete list of members for csAnimationTemplate, including all inherited members.

AddFrame(csTicks Delay, csPixmap *s) | csAnimationTemplate | `[inline]`
AddFrame(csTicks Delay, iTextureHandle *Tex) | csAnimationTemplate | `[inline]`
AddFrame(csTicks Delay, iTextureHandle *Tex, int x, int y, int w, int h) | csAnimationTemplate | `[inline]`
CreateInstance() | csAnimationTemplate |
csAnimationTemplate() | csAnimationTemplate |
GetFrame(size_t n) const | csAnimationTemplate | `[inline]`
GetFrameByTime(csTicks Time) | csAnimationTemplate |
GetFrameCount() const | csAnimationTemplate | `[inline]`
GetLength() const | csAnimationTemplate | `[inline]`
~csAnimationTemplate() | csAnimationTemplate |